# PortProtonQt session

This project is not affiliated with Valve (wide inspiration was taken from
their work on the SteamDeck)

## Basic manual setup

Copy this repository file structure into the appropriate places and you'll be
able to start the session on any Display Manager of your choice.

# User Configuration

The session sources environment from `~/.config/environment.d/*.conf` files.
The easiest way to configure the session is to create `~/.config/environment.d/gamescope-session-plus.conf`
and set variables there:

```bash
# Size of the screen. If not set gamescope will detect native resolution from drm.
SCREEN_HEIGHT=2160
SCREEN_WIDTH=3840

# Internal render size of the screen. If not set, will be the same as SCREEN_HEIGHT and SCREEN_WIDTH.
INTERNAL_WIDTH=1280
INTERNAL_HEIGHT=800

# Orientation adjustment of panel, possible values: left, right
ORIENTATION=left

# Enable VRR
ADAPTIVE_SYNC=1

# Treat the internal panel as an external monitor
PANEL_TYPE=external

# Set priority of display connectors
OUTPUT_CONNECTOR='*,DSI-1'

# Set the specific values allowed for refresh rates
CUSTOM_REFRESH_RATES=40,50,60

# DRM mode generation algorithm (cvt, fixed)
# TODO: what is this ?
DRM_MODE=fixed
```

# License & Contributing

The project is licensed under GPL v3 license. If you want to contribute,
just do so and thank you.
